unit VisSeqModeFlags;

interface

uses
  pFIBDataSet, db, 
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, DBCtrlsEh;

type
  TVisSeqModeFlagsForm = class(TForm)
    cbFL_ARMO: TDBCheckBoxEh;
  private
    { Private declarations }
  public
    ds: TpFIBDataSet;
    dsrc: TDataSource;
  end;


  procedure Show_VisSeqModeFlagsForm(AOwner: TComponent; ds: TpFIBDataSet; dsrc: TDataSource);

var
  VisSeqModeFlagsForm: TVisSeqModeFlagsForm;

implementation

{$R *.dfm}


procedure Show_VisSeqModeFlagsForm(AOwner: TComponent; ds: TpFIBDataSet; dsrc: TDataSource);
begin
  VisSeqModeFlagsForm := TVisSeqModeFlagsForm.Create(AOwner);
  try
    VisSeqModeFlagsForm.ds := ds;
    VisSeqModeFlagsForm.dsrc := dsrc;

    VisSeqModeFlagsForm.cbFL_ARMO.DataSource := dsrc;

    VisSeqModeFlagsForm.ShowModal;
  finally
    VisSeqModeFlagsForm.Free;
  end;  
end;

end.
